summaryrefslogtreecommitdiff
path: root/release/scripts
diff options
context:
space:
mode:
authorcvs2svn <cvs2svn@FreeBSD.org>2000-03-21 19:13:32 +0000
committercvs2svn <cvs2svn@FreeBSD.org>2000-03-21 19:13:32 +0000
commit300bf3fa50ce0c6cd7a626996ab94b1cfbdadf94 (patch)
tree07648b944366b4f1eca30ee153825002b3257ceb /release/scripts
parentbe11ac722395bc412752a109107f9eb2694b608e (diff)
Notes
Diffstat (limited to 'release/scripts')
-rwxr-xr-xrelease/scripts/crypto-install.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/release/scripts/crypto-install.sh b/release/scripts/crypto-install.sh
new file mode 100755
index 000000000000..d915431c8d18
--- /dev/null
+++ b/release/scripts/crypto-install.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+if [ "`id -u`" != "0" ]; then
+ echo "Sorry, this must be done as root."
+ exit 1
+fi
+_DEST=${DESTDIR:-/}
+echo "You are about to extract the CRYPTO distribution into ${_DEST} - are you SURE"
+echo "you want to do this over your installed system? If not, hit ^C now,"
+echo -n "otherwise hit return to continue. "
+read junk
+cat crypto.?? | tar --unlink -xpzf - -C ${_DEST}
+cat krb4.?? | tar --unlink -xpzf - -C ${_DEST}
+cat krb5.?? | tar --unlink -xpzf - -C ${_DEST}
+echo -n "Do you want to install the CRYPTO sources (y/n)? "
+read ans
+if [ "$ans" = "y" ]; then
+ cat scrypto.?? | tar --unlink -xpzf - -C ${_DEST}/usr/src
+ cat ssecure.?? | tar --unlink -xpzf - -C ${_DEST}/usr/src
+ cat skrb4.?? | tar --unlink -xpzf - -C ${_DEST}/usr/src
+ cat skrb5.?? | tar --unlink -xpzf - -C ${_DEST}/usr/src
+fi
+exit 0